uk.gov.hmrc

# MavenArtifactDescription

#### case class MavenArtifactDescription(org: String, name: String, version: String, scalaVersion: String, publicArtifact: Boolean, scalaJsVersion: Option[String]) extends ArtifactDescription with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, ArtifactDescription, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. MavenArtifactDescription
2. Serializable
3. Serializable
4. Product
5. Equals
6. ArtifactDescription
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new MavenArtifactDescription(org: String, name: String, version: String, scalaVersion: String, publicArtifact: Boolean, scalaJsVersion: Option[String])

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

12. #### val name: String

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

13. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### final def notify(): Unit

    Definition Classes
      AnyRef

15. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

16. #### val org: String

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

17. #### lazy val path: String

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

18. #### val publicArtifact: Boolean

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

19. #### val scalaJsVersion: Option[String]

20. #### val scalaVersion: String

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

21. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

22. #### lazy val toString: String

    Definition Classes
      MavenArtifactDescription → AnyRef → Any

23. #### val version: String

    Definition Classes
      MavenArtifactDescription → ArtifactDescription

24. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

26. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from ArtifactDescription

### Inherited from AnyRef

### Inherited from Any

### Ungrouped